Log in or register to post comments

64-bit support for Android Framework

March 3, 2020 - 1:03am #1

Hello Vuforia Engine Support,

Thank you for the great library,

We are using your library in our app to play videos on Target Images.It working fine till now.

But right now, we updated the apk/bundle and upload to the play store. It will throw an error like :

Error

//////

This release is not compliant with the Google Play 64-bit requirement. The following APKs or App Bundles are available to 64-bit devices, but they only have 32-bit native code: 15.

//////

 

We found that vuforia does not support for (x86_64) in your documentation :

https://library.vuforia.com/content/vuforia-library/en/articles/Solution/Vuforia-Supported-Versions.html

(ARM 32 & 64-bit; x86 32-bit only)



also attached a screenshot of the error in attachment



Vuforia Version: vuforia-SDK-android-7-5-20

Is there any solution for this error? Please help us.

Thank you

64-bit support for Android Framework

March 9, 2020 - 1:17am #6

and huawei p9plus is not going to work?

64-bit support for Android Framework

March 9, 2020 - 1:17am #5

and huawei p9plus is not going to work?

64-bit support for Android Framework

March 3, 2020 - 5:08am #4

Hi,

Yes, we did not port Vuforia for x86-64, we only support ARM64.

X86 is for intel/amd based cpu and ARM64 is for "mobile" based cpu. The adoption of mobile phones which use AMD/Intel cpu is low, hence even Unity is not supporting x86 starting with 2019.2.

Thank you.

Vuforia Engine Support

64-bit support for Android Framework

March 3, 2020 - 4:53am #3

Hello Team,

Thank you for a response,



ARM 64 support is there but x86 64bit support is missing.



Please see the attached seen shot and link from the official Google Developer.



https://developer.android.com/distribute/best-practices/develop/64-bit



So please let us know if any solutions.

 

64-bit support for Android Framework

March 3, 2020 - 3:08am #2

Hi,

We added support for ARM 64 with 8.1.7. If you use Unity the minimum version to be used is 2018.3.0.

Thank you.

Vuforia Engine Support

Log in or register to post comments